- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: e92b1751-9dad-402b-a548-3d4272da5560
    creation_time: 2023-02-17T13:39:29.311178Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/bresenham-ll_valuebound100.c
      input_file_hashes:
        c/nla-digbench-scaling/bresenham-ll_valuebound100.c: 13f01b13f842e70fa5dc0726b8b5b83cfbe12eb21a3c45812a2355ca865a56c3
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/bresenham-ll_valuebound100.c
    file_hash: 13f01b13f842e70fa5dc0726b8b5b83cfbe12eb21a3c45812a2355ca865a56c3
    line: 32
    column: 0
    function: main
  loop_invariant:
    string: 2 * Y * x - 2 * X * y - X + 2 * Y - v == 0 && (x <= X + 1 || (X < 0 == x && v == 2 * Y - X))
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 83b13f84-7a49-4c20-9e34-37c10bdaf60f
    creation_time: 2023-02-17T13:39:29.311613Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/bresenham-ll_valuebound100.c
      input_file_hashes:
        c/nla-digbench-scaling/bresenham-ll_valuebound100.c: 13f01b13f842e70fa5dc0726b8b5b83cfbe12eb21a3c45812a2355ca865a56c3
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/bresenham-ll_valuebound100.c
    file_hash: 13f01b13f842e70fa5dc0726b8b5b83cfbe12eb21a3c45812a2355ca865a56c3
    line: 35
    column: 0
    function: main
  location_invariant:
    string: 2*yx - 2*xy - X + (long long) 2*Y - v == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: ea9d3f77-bd82-4df8-9e17-47a5ad46b9ee
    creation_time: 2023-02-17T13:39:29.311712Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/bresenham-ll_valuebound100.c
      input_file_hashes:
        c/nla-digbench-scaling/bresenham-ll_valuebound100.c: 13f01b13f842e70fa5dc0726b8b5b83cfbe12eb21a3c45812a2355ca865a56c3
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/bresenham-ll_valuebound100.c
    file_hash: 13f01b13f842e70fa5dc0726b8b5b83cfbe12eb21a3c45812a2355ca865a56c3
    line: 50
    column: 0
    function: main
  location_invariant:
    string: 2*yx - 2*xy - X + (long long) 2*Y - v + 2*y == 0
    type: assertion
    format: C

